Name: httrack
Version: 3.32.2
Release: alt1

Summary: HTTrack is an easy-to-use offline browser utility
License: GPL
Group: Networking/File transfer
Url: http://www.httrack.com
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-3.32-2.tar.gz
Source1: %name.conf
Patch1: %name-remove-rpath.patch

PreReq: lib%name = %version-%release

# Automatically added by buildreq on Mon Mar 15 2004
BuildRequires: gcc-c++ glibc-devel-static zlib-devel

%description
HTTrack is an easy-to-use offline browser utility. It allows you to
download a World Wide website from the Internet to a local directory,
building recursively all directories, getting html, images, and other
files from the server to your computer. HTTrack arranges the original
site's relative link-structure. Simply open a page of the "mirrored"
website in your browser, and you can browse the site from link to link,
as if you were viewing it online. HTTrack can also update an existing
mirrored site, and resume interrupted downloads. HTTrack is fully
configurable, and has an integrated help system.

%package -n lib%name
Summary: Shared library for HTTrack
Group: Development/C
License: GPL
%description -n lib%name
This package contains shared library for HTTrack.

%package -n lib%name-devel
Summary: Development files for HTTrack
Group: Development/C
PreReq: lib%name = %version-%release
License: GPL
%description -n lib%name-devel
This package contains development files required for packaging
HTTrack-based software.

%package -n lib%name-devel-static
Summary: Static libraries for HTTrack
Group: Development/C
PreReq: lib%name-devel = %version-%release
License: GPL
%description -n lib%name-devel-static
This package contains development libraries required for packaging
statically linked HTTrack-based software.

%prep
%setup -q -n %name-3.32.02
%patch1 -p1

%build
./configure --prefix=%buildroot/usr
make %{?_disable_smp}

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot/etc/%name.conf
%__install -pD -m644 README %buildroot%_docdir/%name/README

%post -n %name -p %post_ldconfig

%postun -n %name -p %postun_ldconfig

%files -n %name
#%doc httrack-doc.html templates html COPYING INSTALL README *.txt
%_bindir/*
%_docdir/%name
%_datadir/%name
%_datadir/pixmaps/%name.xpm
%_datadir/applications/*
%_man1dir/*
%config /etc/%name.conf

%files -n lib%name
%_libdir/lib%name.so.*
%_libdir/%name/*.so.*

%files -n lib%name-devel
%_includedir/%name
%_libdir/*.so
%_libdir/%name/*.so
%_libdir/%name/*.la

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/%name/*.a

%changelog
* Tue May 11 2004 Andrey Semenov <mitrofan@altlinux.ru> 3.32.2-alt1
- new version
- Broken engine on 64-bit archs

* Mon Apr 12 2004 Andrey Semenov <mitrofan@altlinux.ru> 3.32-alt1
- new version
- Fixed: css and js files were not parsed!
- Fixed: again broken file:// (infinite loops with local crawls)
- Fixed: Bandwidth limiter more gentle with low transfer rate
- Fixed: external wrappers were not called during updates/continue
- New: additional callback examples
- Fixed: overflow in unzip.c fixed
- New: tests are now cached for better performances!
- New: %r (protocol) option for user-defined structure

* Mon Mar 15 2004 Andrey Semenov <mitrofan@altlinux.ru> 3.31-alt1
- new version
- bugs fixed
- experimental categories implemented
- new cache format (ZIP file)
- .m3u files now crawled
- .aam files now crawled
- full HTTP headers are now stored in cache

* Wed Dec 10 2003 Andrey Semenov <mitrofan@altlinux.ru> 3.30-alt2
- removed *.la files

* Sun Oct 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 3.30-alt1
- New: Webhttrack, a linux/unix/bsd Web GUI for httrack
- New: "URL hack" feature
- New: HTTP-headers charset is now propagated in the html file
- New: loadable external engine callbacks
- New: Experimental ".mht" archives format

* Wed Apr 02 2003 Andrey Semenov <mitrofan@altlinux.ru> 3.23-alt1
- First version of RPM package.

